### Constructor

# Foundry InputValidatorRegex new

#### Declaration [src]

    FoundryInputValidator*
    foundry_input_validator_regex_new (
      GRegex* regex
    )

#### Description

No description available.

#### Parameters

`regex`

  Type: `GRegex`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `FoundryInputValidator`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.